I regularly have issues where a section of the site on the frontend needs a latest jquery library but it breaks the drupal admin pages. This is one of the reason I have build an include / exclude section to the jquery update admin page. Now you can simply say where you want it. I've attached a patch for 7.x-2.x-dev.

Files: 
CommentFileSizeAuthor
#1 jquery_update_excludes.patch62.07 KBzarrex

Comments

StatusFileSize
new62.07 KB

Status:Active» Needs work

I applied the patch and it worked (I had to apply the patch manually though).

On the UI side I think it might be better remaining consistent with the block options - instead of an include text area and an exclude text area, have one text area, with 'All pages except those listed' / 'Only the listed pages' check boxes. (As per /admin/structure/block/add#edit-visibility-title).

Also it needs Drupal coding standards / doc standards need applying in a couple of places - there is a little white space floating around at the end of lines, and jquery_update_include needs a comment etc, see http://drupal.org/coding-standards and http://drupal.org/coding-standards/docs.

Chris.

Status:Needs work» Closed (duplicate)

I just closed #1524944: Allow different version for administrative pages which fixes this issue.